Subject: Re: What is missing from Git v2.0

From: David Kastrup <[email-masked]>
Date: Thu, 24 Apr 2014 11:01:29 +0200

Felipe Contreras <[email-masked]> writes:

> David Kastrup wrote:
>> Felipe Contreras <[email-masked]> writes:
>> 
>> > James Denholm wrote:
>> >> Felipe Contreras wrote:
>> >> >This is a false dichotomy; there aren't just two kinds
>> >> > of Git users.
>> >> >
>> >> > There is such a category of Git users who are not
>> >> > fresh-out-of-the-boat, yet not power users either.
>> >> 
>> >> Oh, I didn't mean to suggest a dichotomy of any kind. However these are the
>> >> two groups (I suggest) are the most immediately relevant - one calls for
>> >> change, and the other would be negatively impacted.
>> >
>> > Nobody would be negatively impacted. Who would be impacted negatively
>> > by having default aliases?
>> 
>> The people having to read and understand scripts written in the
>> expectation of default aliases.
>
> Which are imaginary.

And I prefer them to stay that way since then one does not need to worry
about them.

>> > And I have showed they are not problems.
>> 
>> You managed to convince yourself, so feel free to put aliases in
>> every Git you use and distribute.
>
> There is evidence for the claim that there won't be those
> problems. You have absolutely no evidence there there will.

As I said: you managed to convince yourself and may milk that for all
that it's worth.

-- 
David Kastrup